# 信息化管理系统

## 版本管理

| 版本 | 维护人员 | 维护时间 | 主要内容 |
| ------ | ------ | ------ | ------ |
| v1.0 | 杨硕 | 2023-7-18 | 模版项目搭建 |

## 项目分支介绍

| 编号 | 分支 | 类型 | 描述 |
| ------ | ------ | ------ | ------ |
| 2 | rbac_v1.0 | 产品 | 登录账号无角色，若权限为“*”即可登录。自定义按钮组件，使按钮根据权限回显。一个用户只能绑定一个部门 |
| 5 | rbac_v1.0_p_oa | 项目 | 可切换系统 |
| 6 | wbac_v1.0 | 产品 | 一个用户可以绑定多个部门 |

## 项目框架简介

| 版本 | 组件 | 描述 | 维护人 |
| ------ | ------ | ------ | ------ |
| v1.0 | vue | 构建用户界面，实现响应式数据绑定和组件化开发 | 杨硕 |
| v1.0 | element-ui | 基于Vue.js的开源UI组件库 | 杨硕 |
| v1.0 | axios | 用于在浏览器和Node.js中发起HTTP请求，提供拦截器、取消请求等功能 | 杨硕 |
| v1.0 | js-base64 | 对字符串或二进制数据进行Base64编码和解码 | 杨硕 |
| v1.0 | moment | 处理日期和时间相关的逻辑 | 杨硕 |
| v1.0 | qs | qs 是一个增加了一些安全性的查询字符串解析和序列化字符串的库 | 杨硕 |
| v1.0 | node-sass | sass-loader的支持模块 | 杨硕 |
| v1.0 | sass-loader | 将sass文件编译成css，依赖于node-sass | 杨硕 |
| v1.0 | eslint | 代码检查工具，统一代码风格规则 | 杨硕 |
| v1.0 | svgo | 基于Nodejs的SVG文件优化工具 | 杨硕 |

## Build Setup

```bash
# 克隆项目
git clone https://github.com/PanJiaChen/vue-admin-template.git

# 进入项目目录
cd vue-admin-template

# 安装依赖
npm install

# 建议不要直接使用 cnpm 安装以来，会有各种诡异的 bug。可以通过如下操作解决 npm 下载速度慢的问题
npm install --registry=https://registry.npm.taobao.org

# 启动服务
npm run dev
```

浏览器访问 [http://localhost:9706](http://localhost:9706)

## 发布

```bash
# 构建测试环境
npm run build:stage

# 构建生产环境
npm run build:prod
```

## 其它

```bash
# 预览发布环境效果
npm run preview

# 预览发布环境效果 + 静态资源分析
npm run preview -- --report

# 代码格式检查
npm run lint

# 代码格式检查并自动修复
npm run lint -- --fix
```
## 文件结构

├── build                      // 构建相关  
├── mock                       // 执行脚本
├── public                     // 公共文件
│   ├── liulanqi_logo.png      // 浏览器图标
│   └── index.html             // html模板
├── src                        // 源代码
│   ├── api                    // 所有请求
│        ├──monitor            // 日志模块请求接口
│        ├──system             // 系统模块请求接口
│        ├──fileUploadPublic.js // 公共上传接口
│        └──login.js           // 登录接口
│   ├── assets                 // 主题 字体 图片等静态资源
│   ├── components             // 全局公用组件
│        ├──Breadcrumb         // 面包屑
│        ├──coolbutton         // 自定义按钮
│        ├──IconSelect         // 图标查询
│        ├──Pagination         // 分页
│        └──SvgIcon            // svg图标
│   ├── directive              // 全局指令
│        └──permission         // 权限设定
│   ├── layout                 // 布局
│   ├── plugins                // 通用方法
│   ├── router                 // 路由
│   ├── store                  // 全局 store管理
│   ├── utils                  // 全局公用方法
│   ├── views                  // view
│        ├──controlPlatform    // 工作台
│        ├──login              // 登录
│        ├──monitor            // 日志
│             ├──errorLog      // 异常日志
│             ├──loginInfo     // 登录日志
│             ├──operLog       // 操作日志
│        ├──system             // 系统模块
│             ├──dept          // 部门
│             ├──otree         // 部门树
│             ├──post          // 岗位
│             ├──dict          // 字典
│             ├──menu          // 菜单
│             ├──role          // 角色
│             └──user          // 用户
│        ├──404.vue            // 404页面
│        └──reSetPsw.vue       // 修改密码页面
│   ├── App.vue                // 入口页面
│   ├── main.js                // 入口 加载组件 初始化等
│   ├── permission.js          // 权限管理
│   └── settings.js            // 系统配置
├── .editorconfig              // 编码格式
├── .env.development           // 开发环境配置
├── .env.production            // 生产环境配置
├── .env.test                  // 测试环境配置
├── .eslintignore              // 忽略语法检查
├── .eslintrc.js               // eslint 配置项
├── .gitignore                 // git 忽略项
├── babel.config.js            // babel.config.js
├── package.json               // 项目引入的包
└── vue.config.js              // vue.config.js
